Bug 1286559 - UnicodeEncodeError: 'ascii' codec can't encode character '\u0105' in position 6: ordinal not in range(128)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0105' in position...
Status: CLOSED DUPLICATE of bug 1303293
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: i18n, Triaged
: 1425560 1428373 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 04:07 EST by Marcin Juszkiewicz
Modified: 2017-03-23 04:08 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-23 04:08:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dnf output (25.58 KB, text/plain)
2016-03-04 02:38 EST, Marcin Juszkiewicz
no flags Details

  None (edit)
Description Marcin Juszkiewicz 2015-11-30 04:07:54 EST
Description of problem:

I wanted to check a list of packages which get removed with 'fedora-packager' one. Output was scary...


10:03 root@pinkiepie-rawhide:dnf$ LC_ALL=C dnf remove fedora-packager
Rozmiar po zainstalowaniu: 11 M
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0105' in position 45: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 513, in resolve
    self.ds_callback.start()
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2092, in start
    logger.debug(_('--> Starting dependency resolution'))
Message: '--> Rozpoczynanie rozwi\u0105zywania zale\u017cno\u015bci'
Arguments: ()
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0142' in position 61: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 516, in resolve
    goal.push_userinstalled(self.sack.query().installed(), self.yumdb)
  File "/usr/lib/python3.5/site-packages/dnf/goal.py", line 52, in push_userinstalled
    logger.debug(msg)
Message: '--> Wyszukiwanie niepotrzebnych pozosta\u0142ych zale\u017cno\u015bci'
Arguments: ()
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 78: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('GitPython', 'noarch', '1.0.1-3.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 84: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('bodhi-client', 'noarch', '0.9.12.2-3.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 79: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('fakeroot', 'aarch64', '1.20.2-2.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 84: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('fakeroot-libs', 'aarch64', '1.20.2-2.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 83: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('fedora-cert', 'noarch', '0.5.10.5-2.fc23', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 87: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('fedora-packager', 'noarch', '0.5.10.5-2.fc23', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 74: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('fedpkg', 'noarch', '1.21-1.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 74: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('koji', 'noarch', '1.10.1-1.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 79: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('libyubikey', 'aarch64', '1.12-3.fc23', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 81: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('packagedb-cli', 'noarch', '2.10-2.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 74: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('pyrpkg', 'noarch', '1.40-1.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 90: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python-beautifulsoup4', 'noarch', '4.4.1-2.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 92: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python-dockerfile-parse', 'noarch', '0.0.5-3.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 82: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python-fedora', 'noarch', '0.6.2-7.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 82: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python-gitdb', 'aarch64', '0.6.4-3.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 86: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python-html5lib', 'noarch', '1:0.999-7.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 81: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python-munch', 'noarch', '2.0.4-2.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 86: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python-osbs-client', 'noarch', '0.15-3.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 87: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python-simplejson', 'aarch64', '3.5.3-4.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 81: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python-smmap', 'noarch', '0.9.0-3.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 84: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python3-enchant', 'noarch', '1.6.6-4.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 81: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('python3-magic', 'noarch', '5.25-2.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 78: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('rpmdevtools', 'noarch', '8.6-2.fc23', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 74: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('rpmlint', 'noarch', '1.8-3.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 112: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('xemacs-filesystem', 'noarch', '21.5.34-12.20150929hga76c9268bb72.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 77: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 522, in resolve
    self._transaction = self._goal2transaction(goal)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 462, in _goal2transaction
    self.ds_callback.pkg_added(pkg, 'e')
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2086, in pkg_added
    modeterm)
Message: '---> Pakiet %s.%s %s zostanie %s'
Arguments: ('ykpers', 'aarch64', '1.17.2-3.fc24', 'usuni\u0119ty')
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0144' in position 29: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 139, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 524, in resolve
    self.ds_callback.end()
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 2097, in end
    logger.debug(_('--> Finished dependency resolution'))
Message: '--> Uko\u0144czono rozwi\u0105zywanie zale\u017cno\u015bci'
Arguments: ()
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
  File "/usr/lib/python3.5/site-packages/dnf/i18n.py", line 44, in write
    self.stream.write(s)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0105' in position 5: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 140, in resolving
    logger.info(_('Dependencies resolved.'))
Message: 'Rozwi\u0105zano zale\u017cno\u015bci.'
Arguments: ()
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0105' in position 26: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 140, in resolving
    logger.info(_('Dependencies resolved.'))
Message: 'Rozwi\u0105zano zale\u017cno\u015bci.'
Arguments: ()
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
  File "/usr/lib/python3.5/site-packages/dnf/i18n.py", line 44, in write
    self.stream.write(s)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 2515: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 149, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 169, in do_transaction
    logger.info(pkg_str)
Message: '================================================================================\n Package                 Arch.   Wersja                          Repoz.   Rozm.\n================================================================================\nUsuwanie:\n GitPython               noarch  1.0.1-3.fc24                    @rawhide 2.1 M\n bodhi-client            noarch  0.9.12.2-3.fc24                 @rawhide  27 k\n fakeroot                aarch64 1.20.2-2.fc24                   @rawhide 264 k\n fakeroot-libs           aarch64 1.20.2-2.fc24                   @rawhide 138 k\n fedora-cert             noarch  0.5.10.5-2.fc23                 @rawhide  57 k\n fedora-packager         noarch  0.5.10.5-2.fc23                 @rawhide  80 k\n fedpkg                  noarch  1.21-1.fc24                     @rawhide  73 k\n koji                    noarch  1.10.1-1.fc24                   @rawhide 958 k\n libyubikey              aarch64 1.12-3.fc23                     @rawhide 294 k\n packagedb-cli           noarch  2.10-2.fc24                     @rawhide 205 k\n pyrpkg                  noarch  1.40-1.fc24                     @rawhide 414 k\n python-beautifulsoup4   noarch  4.4.1-2.fc24                    @rawhide 682 k\n python-dockerfile-parse noarch  0.0.5-3.fc24                    @rawhide  67 k\n python-fedora           noarch  0.6.2-7.fc24                    @rawhide 1.3 M\n python-gitdb            aarch64 0.6.4-3.fc24                    @rawhide 519 k\n python-html5lib         noarch  1:0.999-7.fc24                  @rawhide 1.2 M\n python-munch            noarch  2.0.4-2.fc24                    @rawhide  34 k\n python-osbs-client      noarch  0.15-3.fc24                     @rawhide 327 k\n python-simplejson       aarch64 3.5.3-4.fc24                    @rawhide 692 k\n python-smmap            noarch  0.9.0-3.fc24                    @rawhide 116 k\n python3-enchant         noarch  1.6.6-4.fc24                    @rawhide 545 k\n python3-magic           noarch  5.25-2.fc24                     @rawhide  23 k\n rpmdevtools             noarch  8.6-2.fc23                      @rawhide 194 k\n rpmlint                 noarch  1.8-3.fc24                      @rawhide 731 k\n xemacs-filesystem       noarch  21.5.34-12.20150929hga76c9268bb72.fc24\n                                                                 @rawhide   0  \n ykpers                  aarch64 1.17.2-3.fc24                   @rawhide 433 k\n\nPodsumowanie transakcji\n================================================================================\nUsuni\u0119cie  26 Packages\n'
Arguments: ()
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0119' in position 2536: ordinal not in range(128)
Call stack:
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 149, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 169, in do_transaction
    logger.info(pkg_str)
Message: '================================================================================\n Package                 Arch.   Wersja                          Repoz.   Rozm.\n================================================================================\nUsuwanie:\n GitPython               noarch  1.0.1-3.fc24                    @rawhide 2.1 M\n bodhi-client            noarch  0.9.12.2-3.fc24                 @rawhide  27 k\n fakeroot                aarch64 1.20.2-2.fc24                   @rawhide 264 k\n fakeroot-libs           aarch64 1.20.2-2.fc24                   @rawhide 138 k\n fedora-cert             noarch  0.5.10.5-2.fc23                 @rawhide  57 k\n fedora-packager         noarch  0.5.10.5-2.fc23                 @rawhide  80 k\n fedpkg                  noarch  1.21-1.fc24                     @rawhide  73 k\n koji                    noarch  1.10.1-1.fc24                   @rawhide 958 k\n libyubikey              aarch64 1.12-3.fc23                     @rawhide 294 k\n packagedb-cli           noarch  2.10-2.fc24                     @rawhide 205 k\n pyrpkg                  noarch  1.40-1.fc24                     @rawhide 414 k\n python-beautifulsoup4   noarch  4.4.1-2.fc24                    @rawhide 682 k\n python-dockerfile-parse noarch  0.0.5-3.fc24                    @rawhide  67 k\n python-fedora           noarch  0.6.2-7.fc24                    @rawhide 1.3 M\n python-gitdb            aarch64 0.6.4-3.fc24                    @rawhide 519 k\n python-html5lib         noarch  1:0.999-7.fc24                  @rawhide 1.2 M\n python-munch            noarch  2.0.4-2.fc24                    @rawhide  34 k\n python-osbs-client      noarch  0.15-3.fc24                     @rawhide 327 k\n python-simplejson       aarch64 3.5.3-4.fc24                    @rawhide 692 k\n python-smmap            noarch  0.9.0-3.fc24                    @rawhide 116 k\n python3-enchant         noarch  1.6.6-4.fc24                    @rawhide 545 k\n python3-magic           noarch  5.25-2.fc24                     @rawhide  23 k\n rpmdevtools             noarch  8.6-2.fc23                      @rawhide 194 k\n rpmlint                 noarch  1.8-3.fc24                      @rawhide 731 k\n xemacs-filesystem       noarch  21.5.34-12.20150929hga76c9268bb72.fc24\n                                                                 @rawhide   0  \n ykpers                  aarch64 1.17.2-3.fc24                   @rawhide 433 k\n\nPodsumowanie transakcji\n================================================================================\nUsuni\u0119cie  26 Packages\n'
Arguments: ()
Traceback (most recent call last):
  File "/bin/dnf", line 57, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 149, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 200, in do_transaction
    if self.conf.assumeno or not self.output.userconfirm():
  File "/usr/lib/python3.5/site-packages/dnf/cli/output.py", line 631, in userconfirm
    choice = dnf.i18n.ucd_input(msg)
  File "/usr/lib/python3.5/site-packages/dnf/i18n.py", line 109, in ucd_input
    print(ucstring, end='')
  File "/usr/lib/python3.5/site-packages/dnf/i18n.py", line 44, in write
    self.stream.write(s)
UnicodeEncodeError: 'ascii' codec can't encode character '\u0105' in position 6: ordinal not in range(128)



Version-Release number of selected component (if applicable):

10:06 root@pinkiepie-rawhide:dnf$ dnf --version
1.1.4
  Zainstalowane: dnf-0:1.1.4-1.fc24.noarch o 2015-11-30 08:42
  Zbudowane    : Fedora Project o 2015-11-16 15:19

  Zainstalowane: rpm-0:4.13.0-0.rc1.12.fc24.aarch64 o 2015-11-30 08:42
  Zbudowane    : Fedora Project o 2015-11-24 19:11

How reproducible:

always

Steps to Reproduce:
1.  LC_ALL=C dnf remove fedora-packager
2.
3.

Actual results:

terrible mess

Expected results:

list of packages and confirmation prompt

Additional info:

10:06 root@pinkiepie-rawhide:dnf$ LC_ALL=C locale
LANG=pl_PL.UTF-8
LC_CTYPE="C"
LC_NUMERIC="C"
LC_TIME="C"
LC_COLLATE="C"
LC_MONETARY="C"
LC_MESSAGES="C"
LC_PAPER="C"
LC_NAME="C"
LC_ADDRESS="C"
LC_TELEPHONE="C"
LC_MEASUREMENT="C"
LC_IDENTIFICATION="C"
LC_ALL=C
10:07 root@pinkiepie-rawhide:dnf$ locale
LANG=pl_PL.UTF-8
LC_CTYPE=pl_PL.UTF-8
LC_NUMERIC="pl_PL.UTF-8"
LC_TIME="pl_PL.UTF-8"
LC_COLLATE=pl_PL.UTF-8
LC_MONETARY="pl_PL.UTF-8"
LC_MESSAGES=pl_PL.UTF-8
LC_PAPER="pl_PL.UTF-8"
LC_NAME="pl_PL.UTF-8"
LC_ADDRESS="pl_PL.UTF-8"
LC_TELEPHONE="pl_PL.UTF-8"
LC_MEASUREMENT="pl_PL.UTF-8"
LC_IDENTIFICATION="pl_PL.UTF-8"
LC_ALL=
Comment 1 Jan Kurik 2016-02-24 09:03:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Marcin Juszkiewicz 2016-03-04 02:38 EST
Created attachment 1133075 [details]
dnf output

08:33 root@pinkiepie-f24:fedora-packager$ dnf --version
Failed to set locale, defaulting to C
1.1.6
  Zainstalowane: dnf-0:1.1.6-2.fc24.noarch w dniu 2016-02-09 10:25
  Zbudowane    : Fedora Project w dniu 2016-02-03 12:21

  Zainstalowane: rpm-0:4.13.0-0.rc1.25.fc24.aarch64 w dniu 2016-03-01 13:59
  Zbudowane    : Fedora Project w dniu 2016-02-27 05:55


It is even worse now.
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:31:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Pavel Studeník 2016-11-10 10:15:01 EST
Fedora 24 and dnf-1.1.10-1.fc24.noarch

and same problem.

>>  LC_ALL=cs_CZ.utf8 dnf repolist
Failed to set locale, defaulting to C
--- Logging error ---
Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/__init__.py", line 982, in emit
    stream.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode characters in position 40-41: ordinal not in range(128)
Call stack:
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
....
Comment 5 Patrick Laimbock 2016-11-23 07:22:38 EST
Not sure if this is related but on a Cubietruck with F24 I see the following UnicodeDecodeError error:

The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 174, in user_main
    errcode = main(args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 60, in main
    return _main(base, args)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 120, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.5/site-packages/dnf/cli/main.py", line 149, in resolving
    base.do_transaction(display=displays)
  File "/usr/lib/python3.5/site-packages/dnf/cli/cli.py", line 228, in do_transaction
    super(BaseCli, self).do_transaction(display)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 607, in do_transaction
    self._run_transaction(cb=cb)
  File "/usr/lib/python3.5/site-packages/dnf/base.py", line 650, in _run_transaction
    rpmdbv = self.sack.rpmdb_version(self._yumdb)
  File "/usr/lib/python3.5/site-packages/dnf/sack.py", line 76, in rpmdb_version
    if 'checksum_type' in ydbi and 'checksum_data' in ydbi:
  File "/usr/lib/python3.5/site-packages/dnf/yum/rpmsack.py", line 323, in __contains__
    x = self.get(attr)
  File "/usr/lib/python3.5/site-packages/dnf/yum/rpmsack.py", line 350, in get
    res = self._read(attr)
  File "/usr/lib/python3.5/site-packages/dnf/yum/rpmsack.py", line 280, in _read
    value = fo.read()
  File "/usr/lib/python3.5/codecs.py", line 321, in decode
    (result, consumed) = self._buffer_decode(data, self.errors, final)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xf3 in position 1: invalid continuation byte
Comment 6 Igor Gnatenko 2017-02-21 12:50:51 EST
*** Bug 1425560 has been marked as a duplicate of this bug. ***
Comment 7 Dennis Gilmore 2017-02-21 13:13:12 EST
in my case I can work around things by installing glibc-langpack-es
Comment 8 Dennis Gilmore 2017-02-21 13:14:23 EST
maybe dnf should fall back to en and not C if the environment language is not installed. dnf seems to really dislike a locale of C
Comment 9 Igor Gnatenko 2017-03-22 08:18:51 EDT
*** Bug 1428373 has been marked as a duplicate of this bug. ***
Comment 10 Jaroslav Rohel 2017-03-23 04:08:58 EDT

*** This bug has been marked as a duplicate of bug 1303293 ***

Note You need to log in before you can comment on or make changes to this bug.